<template>
  <div class="row">
    <transition-group name="fade">
      <div v-for="user in users" class="col-12" :key="user.id">
        <div class="card mb-3">
          <div class="card-body">
            <h5 class="card-title" v-text="user.name"></h5>
            <a href="#" @click.prevent="$emit('showUser', user.id)" class="card-link"
              >User link</a
            >
          </div>
        </div>
      </div>
    </transition-group>
    <div class="col-12">
      <button
        v-if="!isEmpty"
        @click="$emit('loadMore')"
        class="btn btn-primary"
        :disabled="isLoading"
      >
        <span
          v-show="isLoading"
          class="spinner-border spinner-border-sm"
          role="status"
        ></span>
        Загрузить еще
      </button>
      <div v-else class="alert alert-light" role="alert">
        Пользователей больше нет!
      </div>
    </div>
  </div>
</template>
<script>
export default {
  name: "ListComponent",
  props: {
    users: {
      type: Array,
      default: [],
    },
    isLoading: {
      type: Boolean,
      default: false,
    },
    isEmpty: {
      type: Boolean,
      default: false,
    },
    currentPage: {
      type: Number,
      default: 0,
    },
  },
  emits: ["loadMore", "showUser"],
};
</script>